CentOS6.5 GreenPlum源码编译

新版本的GreenPlum依赖高版本CentOS 7以上才能编译通过,由于各种原因,不得不在CentOS6.5上编译GreenPlum,以下是编译过程。

1.首先GCC的版本必须能够支持C++11,如何升级GCC请参考上一篇博客:GCC源码编译

2.源码及编译完成的软件可从如下链接中获取

链接: https://pan.baidu.com/s/1Cp1Cf0s1ukd_TkyxEGnQ2Q 提取码: btyb 

3.如下是编译过程,请参考

请在/etc/profile中配置GCC的环境变量

export PATH=/usr/local/gcc/bin:$PATH

yum install libxml2
  yum install libxml2-devel
  yum install readline-devel
  yum install apr-devel
  yum install libevent
  yum install libevent-devel
  yum install libcurl-devel
  yum install bzip2-devel
  yum install xerces-c
  yum install xerces-c-devel
  yum install bison
  yum install bison-devel
  yum install flex
  yum install openssl-devel
  yum install python-devel
  
  tar xzvf gpdb-6.4.0.tar.gz 
  cd gpdb-6.4.0
  ./configure --prefix=/usr/local/greenplum --with-libxml --without-zstd --disable-orca
  make && make install
  

 

能不能正常运行呢?敬请期待

 

posted @ 2020-03-15 18:08  alianblog  阅读(...)  评论(...编辑  收藏